Untether LabsDevelopers

Get Report Run

Beta
gethttps://app.untetherlabs.com/api/v1/reporting/reports/runs/{reportRunId}
This is a beta endpoint. Breaking changes may occur without notice, use at your own risk.

Retrieve metadata about a specific report run, including a temporary download link if the report has been completed.

The download link will expire after one hour, at the given expiresAt time.

Path parameters#

reportRunIduuid
Required

Response 200#

iduuid
Required
reportIdstring
Required
createdAtstring
Required
createdByReportUser
Required
iduuid
Required
namestring
Required
statusReportStatus
Required
running
completed
failed
fileobject

Only present if the report has been completed.

namestring
Required
mediaTypestring
Required
sizeBytesnumber· min 0
Required
downloadReportDownload
urluri
Required
expiresAtstring
Required

Errors#

Input validation failed.

Show extension members
pathstring
messagestring
Required

A specified report run does not exist in the system.